org.apache.olingo.commons.api.edm.annotation

## Interface EdmConstantExpression

- All Superinterfaces:
    EdmExpression

      public interface EdmConstantExpression
      extends EdmExpression

  Represents a constant expression

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.olingo.commons.api.edm.annotation.EdmExpression

      `EdmExpression.EdmExpressionType`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `asEnumMembers()` A list of enum members or empty list if this expression is of type primitive or geospatial.
    `Geospatial` | `asGeospatial()` Return the geospatial object or null if this expression is of type primitive or enum.
    `Object` | `asPrimitive()` The value object of this expression or null if it is of type enum or geospatial.
    `String` | `getEnumTypeName()` Return the Enum type name or null if this expression is of type primitive or geospatial.
    `String` | `getValueAsString()` Returns the value of the expression as String.

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.annotation.EdmExpression

      `asConstant, asDynamic, getExpressionName, getExpressionType, isConstant, isDynamic`

- - ### Method Detail

    - #### asPrimitive

          Object asPrimitive()

      The value object of this expression or null if it is of type enum or geospatial.
      Returns:
        a value object or null

    - #### asEnumMembers

          List<String> asEnumMembers()

      A list of enum members or empty list if this expression is of type primitive or geospatial.
      Returns:
        a list of all enum members or empty list

    - #### getEnumTypeName

          String getEnumTypeName()

      Return the Enum type name or null if this expression is of type primitive or geospatial.
      Returns:
        enum type name or null

    - #### asGeospatial

          Geospatial asGeospatial()

      Return the geospatial object or null if this expression is of type primitive or enum.
      Returns:
        geospatial object or null

    - #### getValueAsString

          String getValueAsString()

      Returns the value of the expression as String.
      Returns:
        String representation of the expression

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.